## org.plovr
Class CompilationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.plovr.CompilationException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CheckedCoffeeScriptCompilerException, CheckedSoySyntaxException, CircularDependencyException, MissingProvideException

    public abstract class CompilationException

extends java.lang.Exception

Base class for compilation errors. Implementations need to provide a way to convert into a `CompilationError` so that the error can be communicated to the user.

See Also:
  Serialized Form

Constructor Summary
`CompilationException(java.lang.String message)`
`CompilationException(java.lang.Throwable t)`

Method Summary
`abstract org.plovr.CompilationError` `createCompilationError()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompilationException

    public CompilationException(java.lang.String message)

### CompilationException

    public CompilationException(java.lang.Throwable t)

Method Detail

### createCompilationError

    public abstract org.plovr.CompilationError createCompilationError()